Skip to main content

Interpretation Conflict

CVE-2023-30536

Severity Medium
Score 6.5/10

Summary

slim/psr7 is a PSR-7 implementation for use with Slim 4. In versions prior to 1.6.1 an attacker could sneak in a newline "(\n)" into both the header names and values. While the specification states that "\r\n\r\n" is used to terminate the header list, many servers in the wild will also accept "\n\n". An attacker that is able to control the header names that are passed to Slilm-Psr7 would be able to intentionally craft invalid messages, possibly causing application errors or invalid HTTP requests being sent out with an PSR-18 HTTP client. The latter might present a denial of service vector if a remote service‚Äôs web application firewall bans the application due to the receipt of malformed requests. There are no known workarounds to this issue. Users are advised to upgrade.

  • LOW
  • NETWORK
  • LOW
  • UNCHANGED
  • NONE
  • NONE
  • NONE
  • LOW

CWE-436 - Interpretation Conflict

Product A handles inputs or steps differently than Product B, which causes A to perform incorrect actions based on its perception of B's state.

References

Advisory Timeline

  • Published